#### PyKDE - Python Bindings for KDE

# class KPasswordEdit |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KPasswordEdit
Inherits | TQLineEdit

### enums

- EchoModes = {OneStar, ThreeStars, NoEcho }

### methods

- KPasswordEdit (parent = 0, name = 0)

  returns a KPasswordEdit instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0

- KPasswordEdit (echoMode, parent, name)

  returns a KPasswordEdit instance
  Argument | Type | Default
  --- | --- | ---
  echoMode | EchoMode |
  parent | TQWidget |
  name | char |

- KPasswordEdit (echoMode, parent, name)

  returns a KPasswordEdit instance
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  echoMode | KPasswordEdit.EchoModes |
  parent | TQWidget |
  name | char |

- KPasswordEdit (parent, name, echoMode)

  returns a KPasswordEdit instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget |
  name | char |
  echoMode | int |

- erase ()

  returns nothing

- event (e)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  e | TQEvent |

- focusInEvent (e)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  e | TQFocusEvent |

- insert (a0)

  returns nothing
  In versions KDE 3.1.2 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |

- keyPressEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQKeyEvent |

- maxPasswordLength ()

  returns (int)
  In versions KDE 3.4.0 and above only

- password ()

  returns (TQString)

- setMaxPasswordLength (newLength)

  returns nothing
  In versions KDE 3.4.0 and above only
  Argument | Type | Default
  --- | --- | ---
  newLength | int |

### variables

- variables

  Variable | Type
  --- | ---
  PassLen | int